using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Telerik.OpenAccess;

namespace _2_DesignEnvironment
{
  class Program
  {
    static void Main(string[] args)
    {
      IObjectScope scope = ObjectScopeProvider1.ObjectScope();
      scope.Transaction.Begin();
      MyClass myClass = new MyClass();
      myClass.MyString = "Howdy World";
      myClass.MyNumber = 123;
      scope.Add(myClass);
      scope.Transaction.Commit();

      Console.ReadLine();
    }
  }
}
